
From: Steven Cole <elenstev@mesatop.com>

Here are a few more K&R style to ANSI style conversions in
arch/ppc64/boot/zlib.c To maintain the comments associated with the
function falloc and to be consistent with previous conversions in related
files, I used the "new Linus style".



 arch/ppc64/boot/zlib.c |   27 +++++++++++++++------------
 1 files changed, 15 insertions(+), 12 deletions(-)

diff -puN arch/ppc64/boot/zlib.c~ppc64-knr-to-ansi arch/ppc64/boot/zlib.c
--- 25/arch/ppc64/boot/zlib.c~ppc64-knr-to-ansi	2003-06-08 17:02:07.000000000 -0700
+++ 25-akpm/arch/ppc64/boot/zlib.c	2003-06-08 17:02:07.000000000 -0700
@@ -1545,10 +1545,11 @@ local inflate_huft *fixed_tl;
 local inflate_huft *fixed_td;
 
 
-local voidpf falloc(q, n, s)
-voidpf q;        /* opaque pointer (not used) */
-uInt n;         /* number of items */
-uInt s;         /* size of item */
+local voidpf falloc(
+	voidpf q,       /* opaque pointer (not used) */
+	uInt n,         /* number of items */
+	uInt s          /* size of item */
+)
 {
   Assert(s == sizeof(inflate_huft) && n <= fixed_left,
          "inflate_trees falloc overflow");
@@ -1558,10 +1559,11 @@ uInt s;         /* size of item */
 }
 
 
-local void ffree(q, p, n)
-voidpf q;
-voidpf p;
-uInt n;
+local void ffree(
+	voidpf q,
+	voidpf p,
+	uInt n
+)
 {
   Assert(0, "inflate_trees ffree called!");
   if (q) q = p; /* to make some compilers happy */
@@ -2164,10 +2166,11 @@ char *z_errmsg[] = {
 #define DO16(buf) DO8(buf); DO8(buf);
 
 /* ========================================================================= */
-uLong adler32(adler, buf, len)
-    uLong adler;
-    Bytef *buf;
-    uInt len;
+uLong adler32(
+	uLong adler,
+	Bytef *buf,
+	uInt len
+)
 {
     unsigned long s1 = adler & 0xffff;
     unsigned long s2 = (adler >> 16) & 0xffff;

_
